Bug 1031220 - pulp.server.db.model.base.Models return None when accessing attributes that do not exist
pulp.server.db.model.base.Models return None when accessing attributes that d...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
Master
All All
medium Severity medium
: ---
: 2.4.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 17:47 EST by Randy Barlow
Modified: 2014-08-09 02:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:54:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-11-15 17:47:53 EST
Our base Model class has a very surprising property in that it will return None if attributes are accessed that do not exist. This is unexpected behavior. It would be more appropriate for an AttributeError to be raised.
Comment 1 Michael Hrivnak 2013-12-09 10:23:00 EST
https://github.com/pulp/pulp/pull/732
Comment 2 Michael Hrivnak 2013-12-09 10:29:23 EST
QE: I'm not sure how you'll want to verify this. There was not an incorrect behavior from a user standpoint. This was just a code change to make our lives much much easier, and the user experience deliberately did not change at all. Feel free to ping me for details.
Comment 3 Jeff Ortel 2014-04-03 09:36:00 EDT
build: 2.4.0-0.7.beta
Comment 4 Preethi Thomas 2014-07-07 09:13:09 EDT
Moving to verified as per https://bugzilla.redhat.com/show_bug.cgi?id=1031220#c2
Comment 5 Randy Barlow 2014-08-09 02:54:51 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.